2005-09-20 00:58  larsa

	* build/: msvc6/coin2.dsp, msvc6/install-headers.bat,
	msvc6/include/config-debug.h, msvc6/include/config-release.h,
	msvc6/include/setup.h, msvc6/include/Inventor/C/basic.h,
	msvc7/.cvsignore, msvc7/coin2.sln, msvc7/coin2.vcproj,
	msvc7/install-headers.bat, msvc7/include/config-debug.h,
	msvc7/include/config-release.h, msvc7/include/setup.h,
	msvc7/include/Inventor/C/basic.h:
	
	update/regenerate

2005-09-19 23:57  larsa

	* configure.ac:
	
	new version 2.4.4

2005-09-19 23:54  larsa

	* README, docs/announcement-2_4_4.txt:
	
	doc updates

2005-09-19 23:45  larsa

	* RELNOTES:
	
	notable change for 2.4.4 release

2005-09-19 23:33  larsa

	* NEWS, THANKS:
	
	more helpful people

2005-09-19 23:05  larsa

	* src/base/all-base-cpp.cpp:
	
	build fix

2005-09-19 22:25  larsa

	* Makefile.am:
	
	dist updates

2005-09-19 22:25  larsa

	* docs/: ChangeLog.v2.4.4, announcement-2_4_4.txt:
	
	stub files

2005-09-19 21:14  larsa

	* models/dead_simple/all-iv.iv:
	
	just a list of all nodes

2005-09-19 21:08  larsa

	* src/fields/SoFieldData.cpp:
	
	improve error message

2005-09-19 20:45  larsa

	* src/misc/SoBase.cpp:
	
	make read error message more understandable if 'UnknownNode'
	appears in a .iv file

2005-09-19 20:23  larsa

	* examples/misc/ivcp.cpp:
	
	sample 'iv-copy' test application

2005-09-19 17:52  larsa

	* src/actions/SoRayPickAction.cpp:
	
	remove warnings

2005-09-19 17:52  larsa

	* build/msvc7/.cvsignore:
	
	update

2005-09-19 11:56  pederb

	* src/nodes/SoVertexProperty.cpp:
	
	Fix old 3D texture coordinate bug, which caused the 3D texture
	coordinates to work only for SoGLRenderAction.

2005-09-15 12:37  handegar

	* cfg/errors.txt:
	
	bootstrap

2005-09-14 15:47  pederb

	* src/hardcopy/VectorizeActionP.cpp:
	
	Fix clip plane transformation bug. Reported by Frank Hibbeln.

2005-09-14 10:45  pederb

	* src/hardcopy/VectorizeActionP.cpp:
	
	Cleanup more in reset() to avoid that the action uses more and more
	memory if it's applied several times. Bug found by Frank Hibbeln.

2005-09-13 18:24  handegar

	* include/Inventor/misc/Makefile.am:
	
	Make SoJavaScriptEngine.h and SoScriptEngine.h public.

2005-09-13 17:32  pederb

	* src/vrml97/Shape.cpp:
	
	SoGLRenderAction abort callback bugfix.

2005-09-13 15:09  kyrah

	* Makefile.am, configure.ac:
	
	Renamed Resources/pivy to Resources/include since the non-framework
	include style might be generally needed in other cases than pivy.

2005-09-09 13:19  pederb

	* src/actions/SoRayPickAction.cpp:
	
	Vastly improve picking precision. This fixes problems we've had
	with picking in large scenes.

2005-09-09 11:37  pederb

	* src/hardcopy/VectorizeActionP.cpp:
	
	Fix potential memory leaks. Reported by Frank Hibbeln.

2005-09-08 15:36  mortene

	* src/base/SbOctTree.cpp:
	
	Debug: minor additional debug facilities.

2005-09-08 15:35  mortene

	* src/collision/SoIntersectionDetectionAction.cpp:
	
	Bugfix: make enclosing bbox around octtree sufficiently large for
	collision testing. Fixes bug item #207.

2005-09-07 15:08  handegar

	* src/glue/spidermonkey.c:
	
	Compile fix for windows

2005-09-07 13:46  handegar

	* include/discard.h.in, src/glue/spidermonkey.c:
	
	Bootstrap

2005-09-07 13:46  handegar

	* configure.ac:
	
	Changed the HAVE_SPIDERMONKEY define into
	HAVE_SPIDERMONKEY_VIA_LINKTIME_LINKING

2005-09-07 13:35  mortene

	* src/io/SoInput.cpp:
	
	Bugfix: use coin_atexit(), not atexit(). Reported by Roy Walmsley.

2005-09-06 19:08  handegar

	* include/Inventor/: C/glue/spidermonkey.h,
	misc/SoJavaScriptEngine.h, misc/SoScriptEngine.h:
	
	One step closer to a better solution

2005-09-06 17:57  handegar

	* src/glue/spidermonkey.c:
	
	Comment fix.

2005-09-06 17:32  handegar

	* src/glue/spidermonkey.c:
	
	Spidermonkey fix.

2005-09-06 17:32  handegar

	* include/Inventor/: C/glue/spidermonkey.h,
	misc/SoJavaScriptEngine.h, misc/SoScriptEngine.h:
	
	SpiderMonkey fix

2005-09-06 13:57  kyrah

	* Makefile.am, configure.ac:
	
	Removed recursive Headers/Inventor -> ../Headers symlink, since
	this caused Xcode to crash when Inventor.framework was imported.
	
	This symlink was/is needed since Pivy (or rather, swig) does not
	support frameworks. Moved it to Resources/pivy, which is both
	cleaner (since it's a pivy-specific hack anyway) and makes it
	non-rekursive, hence preventing the Xcode crash.

2005-09-01 16:39  handegar

	* src/vrml97/JS_VRMLClasses.cpp:
	
	Added erikgors GCC-4 compile fix from Coin-dev.

2005-09-01 12:27  handegar

	* include/Inventor/C/glue/: Makefile.am, spidermonkey.h:
	
	spidermonkey.h is now public.  Bootstrap.

2005-08-31 12:25  handegar

	* configure.ac:
	
	Dont announce SpiderMonkey support if javascript is disabled.

2005-08-31 11:48  larsa

	* configure.ac:
	
	disable unportable sed-command

2005-08-30 15:38  handegar

	* include/Inventor/C/glue/spidermonkey.h, src/glue/spidermonkey.c:
	
	Static linking of SpiderMonkey enabled.

2005-08-30 15:16  handegar

	* configure.ac, include/discard.h.in:
	
	Bootstrap

2005-08-30 14:02  handegar

	* src/misc/SoJavaScriptEngine.cpp:
	
	Compile fix.

2005-08-30 00:57  kyrah

	* src/misc/Makefile.am:
	
	Compile fix.

2005-08-29 14:56  kyrah

	* configure.ac:
	
	Fix for building the binary SDK on Mac OS 10.4: Don't use the
	single-precision math functions, which are available in 10.4 but
	not in 10.3. Problem reported by Tamer Fahmy.

2005-08-26 15:58  larsa

	* configure.ac, include/discard.h.in, include/setup.h.in:
	
	new --enable-javascript-api option

2005-08-26 12:51  handegar

	* include/Inventor/C/glue/spidermonkey.h,
	include/Inventor/misc/SoJavaScriptEngine.h,
	include/Inventor/misc/SoScriptEngine.h, src/glue/spidermonkey.c,
	src/misc/Makefile.am, src/misc/SoJavaScriptEngine.cpp,
	src/vrml97/JS_VRMLClasses.cpp, src/vrml97/Script.cpp:
	
	Moved in SpiderMonkey support from Coin-dev (wrapped in #ifdef
	COIN_HAVE_JAVASCRIPT).

2005-08-26 11:26  pederb

	* include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	include/Inventor/elements/SoMultiTextureEnabledElement.h,
	src/elements/SoMultiTextureEnabledElement.cpp,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp:
	
	Migrate code from Coin-dev (support for rectangle and cube map
	textures).

2005-08-25 15:23  larsa

	* src/glue/dl.c:
	
	deja vu on the warning disable casting

2005-08-25 15:03  pederb

	* include/Inventor/C/tidbitsp.h:
	
	--enable-next-minor compile fix.

2005-08-25 13:26  larsa

	* cfg/gendsp.sh.in:
	
	adjust for new install script name scheme

2005-08-25 13:26  larsa

	* NEWS:
	
	update

2005-08-25 13:23  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, generate.sh,
	install-dll-debug.bat, install-dll-release.bat,
	install-headers.bat, install-lib-debug.bat,
	install-lib-release.bat, installcoin.bat, installcoinheaders.bat:
	
	update to new installation scripts / static configurations

2005-08-25 12:40  larsa

	* build/msvc6/generate.sh:
	
	tweak for filename change

2005-08-25 12:39  larsa

	* Makefile.am:
	
	change of dist files

2005-08-25 12:15  larsa

	* build/msvc6/.cvsignore:
	
	update

2005-08-25 12:14  larsa

	* build/msvc6/generate.sh:
	
	use generic script name

2005-08-25 12:14  larsa

	* build/msvc6/coin2.dsp:
	
	update, install static versions as well (named coin2s*.lib)

2005-08-25 12:13  larsa

	* build/msvc6/installcoin.bat:
	
	obsoleted

2005-08-25 12:13  larsa

	* build/msvc6/: install-headers.bat, installcoinheaders.bat:
	
	a more generic name

2005-08-25 12:12  larsa

	* build/msvc6/: install-dll-debug.bat, install-dll-release.bat,
	install-lib-debug.bat, install-lib-release.bat:
	
	install scripts for just the given configuration

2005-08-22 16:00  pederb

	* src/elements/SoLazyElement.cpp:
	
	Doc.

2005-08-22 12:33  pederb

	* src/shapenodes/SoShape.cpp:
	
	Bugfix. Test sorted triangle transparency type from state, not from
	action. Reported by Michael Mandel.

2005-08-22 12:22  pederb

	* include/Inventor/elements/SoShapeStyleElement.h,
	src/elements/SoShapeStyleElement.cpp:
	
	Added flag for testing sorted triangles transparency type.

2005-08-17 16:25  pederb

	* src/misc/CoinOffscreenGLCanvas.cpp:
	
	Compile fix.

2005-08-17 15:03  mortene

	* src/misc/: CoinOffscreenGLCanvas.cpp, CoinOffscreenGLCanvas.h,
	SoOffscreenRenderer.cpp:
	
	Performance: fixes a performance regression introduced with the fix
	to successively halve GL tile size until successful allocation.

2005-08-10 12:29  mortene

	* src/fields/SoFieldData.cpp:
	
	Bugfix: the SoTexture::enableCompressedTexture hack should now also
	work with SoTexture2-derived extension nodes.

2005-08-09 16:15  mortene

	* src/tidbits.c:
	
	Doc: convert FIXME to neutral code comment.

2005-08-09 12:08  mortene

	* src/misc/SoSceneManager.cpp:
	
	Doc: FIXME note about incompatibility with SGI Inventor.

2005-08-09 11:50  pederb

	* include/Inventor/misc/SbHash.h, src/base/dict.c, src/base/hash.c:
	
	Use prime numbers for the number of buckets in hash tables.

2005-08-09 11:50  pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:
	
	Added function for finding the next prime number for a given
	number.

2005-08-04 18:21  kyrah

	* src/actions/SoGLRenderAction.cpp:
	
	Don't render multi passes if no accumulation buffer available.
	Optimization suggested by pederb.

2005-08-04 16:35  pederb

	* src/engines/: SoEngineOutput.cpp, SoFieldConverter.cpp:
	
	Fix bug in getForwardConnections(). Field converters should be
	skipped. Bug reported by Nikolai Ruhe.

2005-08-03 18:37  kyrah

	* src/misc/CoinOffscreenGLCanvas.cpp:
	
	Added some more debug output.

2005-08-03 18:11  kyrah

	* src/actions/SoGLRenderAction.cpp:
	
	Don't attempt to use glAccum() if no accumulation buffer is
	available.

2005-08-03 14:57  kyrah

	* src/glue/gl_agl.c:
	
	Only report failure to aglSetPBuffer() when debugging information
	is requested, since now we will successively retry with smaller
	buffer sizes anyway.

2005-07-27 15:12  kyrah

	* packaging/macosx/checklist.txt:
	
	We need MACOSX_DEPLOYMENT_TARGET when running configure, to be able
	to not pick up functionality that is available on the build
	platform but not the target platform.

2005-07-27 15:09  kyrah

	* THANKS:
	
	Removed myself.

2005-07-27 15:09  kyrah

	* configure.ac:
	
	Fix for building the binary SDK on Mac OS 10.4: Don't use ftime(),
	which is available in 10.4 but not in 10.3.

2005-07-27 14:12  kyrah

	* include/Inventor/C/tidbits.h, src/tidbits.c:
	
	Added public cc_coin_atexit() function.

2005-07-26 15:57  kyrah

	* src/tidbits.c:
	
	Added FIXME comment re. atexit usage.

2005-07-26 15:49  kyrah

	* src/tidbits.c:
	
	Dox fix: SoDB::cleanup() was renamed to SoDB::finish()

2005-07-24 21:36  larsa

	* configure.ac:
	
	don't disallow duplicate shared/static builds on Unix

2005-07-23 03:11  kyrah

	* src/lists/SoCallbackList.cpp:
	
	Added a couple of FIXMEs.

2005-07-20 15:15  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Include origin-position when rendering tiles.

2005-07-14 16:11  mortene

	* docs/: quat2euler.cpp, quat2euler.txt:
	
	Minor clean-up: remove development info from stable repository --
	no need to duplicate this from dev repository.

2005-07-14 15:48  mortene

	* docs/coin.doxygen.in, docs/quat2euler.txt,
	src/actions/SoGLRenderAction.cpp, src/base/SbString.cpp,
	src/base/SbTime.cpp, src/nodes/SoCamera.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoImage.cpp,
	src/shapenodes/SoText2.cpp, src/shapenodes/SoText3.cpp:
	
	Doc: various additions to API documentation, plus a few FIXME
	notes.

2005-07-14 15:33  mortene

	* cfg/errors.txt:
	
	bootstrap

2005-07-14 12:52  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Robustness, temporary bug aid: explicit warning when
	SoCamera::viewportMapping is a value which will trigger a known
	bug.

2005-07-14 10:26  mortene

	* include/Inventor/elements/SoViewportRegionElement.h,
	src/elements/SoViewportRegionElement.cpp:
	
	Clean-up: remove unused static class variable.

2005-07-12 16:26  mortene

	* src/hardcopy/VectorizeActionP.cpp:
	
	Compile fixes: avoid using non-standard cosf(), powf() and sqrtf().
	Reported by Bert Bril.

2005-07-12 13:32  mortene

	* src/misc/CoinOffscreenGLCanvas.cpp:
	
	Optimization: try harder to avoid destruction and reconstruction of
	offscreen GL contexts.

2005-07-12 13:31  mortene

	* src/glue/gl.c:
	
	Robustness: remove clamp work-around for specific platforms, wrt
	offscreen context dimensions.

2005-07-12 13:30  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Bugfix: don't give up if offscreen GL context allocation fails at
	first, but re-try with successively smaller dimensions.

2005-07-11 14:23  mortene

	* NEWS:
	
	SoOffscreenRenderer optimizations.

2005-07-11 14:10  mortene

	* src/misc/: CoinOffscreenGLCanvas.cpp, CoinOffscreenGLCanvas.h,
	SoOffscreenRenderer.cpp:
	
	Optimization: potentially much better performance when reusing an
	SoOffscreenRenderer with different viewport sizes. Doc: many
	updates to FIXME notes.

2005-07-11 12:04  mortene

	* src/nodes/SoTexture2.cpp:
	
	Robustness: make it extremely unlikely that the offset to the
	hacked in enableCompressedTexture field will crash with any in
	SoTexture2.

2005-07-08 14:55  larsa

	* build/: msvc6/include/config-debug.h,
	msvc6/include/config-release.h, msvc6/include/Inventor/C/basic.h,
	msvc7/coin2.sln, msvc7/include/config-debug.h,
	msvc7/include/config-release.h, msvc7/include/Inventor/C/basic.h:
	
	regenerate for intermediate versioning

2005-07-08 12:54  mortene

	* src/engines/SoSelectOne.cpp:
	
	Optimization: better SoSelectOne::evaluate() for all or most
	built-in types. By Gerhard Reitmayr.

2005-07-08 12:46  larsa

	* NEWS:
	
	new section for 2.4.4a

2005-07-08 12:39  mortene

	* src/: upgraders/.cvsignore, threads/.cvsignore,
	vrml97/.cvsignore:
	
	for in-place builds

2005-07-08 12:36  mortene

	* src/nodes/SoTexture2.cpp, include/Inventor/nodes/SoTexture2.h:
	
	Bugfix: work around the problems exhibited by the SoTexture2
	enableCompressedTexture field not being part of SoTexture2, but
	rather SoTexture2P. Bug reported by thammer and Gerhard Reitmayr.

2005-07-08 12:33  mortene

	* src/fields/SoFieldData.cpp:
	
	Bugfix: work around the problems exhibited by the SoTexture2
	enableCompressedTexture field not being part of SoTexture2, but
	rather SoTexture2P. Bug reported by thammer and Gerhard Reitmayr.

2005-07-08 11:47  pederb

	* src/nodes/SoSurroundScale.cpp:
	
	Fix surround scale bug reported by Thomas Steube. This fix also
	makes SoSurroundScale more conformant to SGI Inventor.

2005-07-08 10:59  mortene

	* src/fields/SoField.cpp:
	
	Clean-up: remove unused code, fix up some out of sync debug code.

2005-07-06 19:00  larsa

	* configure.ac:
	
	version number update

